Ruby trunk - Bug #7367

toooo many test failures after rake 0.9.4 is imported
11/16/2012 10:10 AM - usa (Usaku NAKAMURA)

Status: Closed

Priority: Normal

Assignee: drbrain (Eric Hodel)

Target version: 2.0.0

ruby -v: ruby -v: ruby 2.0.0dev (2012-11-16 trunk | Backport:
37668) [x64-mswin64_100]

Description

=begin

Yesterday, all my troubles seemed so far away.
Now it looks as though they're here to stay...

cf. Yesterday The Beatles

eban-san told me that these are not platform dependent.

[ 388/1240] TestRakeBacktrace#test_suppress_option = 0.34 s

1) Failure:

test_suppress_option(TestRakeBacktrace) [C:/Users/usa/ruby/test/rake/test_rake_backtrace.rb:58]:

--- expected

+++ actual

@@ -1+1 @@

-"rake aborted!"

+"C:/Users/usa/develop/win/ruby/build/ruby.exe: No such file or directory -- C:/Users/usa/develop/win/ruby/build/bin/rake (LoadError)"

[ 389/1240] TestRakeBacktrace#test_single_collapse = 0.17 s

2) Failure:

test_single_collapse(TestRakeBacktrace) [C:/Users/usa/ruby/test/rake/test_rake_backtrace.rb:25]:

--- expected

+++ actual

@@ -1+1 @@

-"rake aborted!"

+"C:/Users/usa/develop/win/ruby/build/ruby.exe: No such file or directory -- C:/Users/usa/develop/win/ruby/build/bin/rake (LoadError)"

[ 390/1240] TestRakeBacktrace#test_multi_collapse = 0.17 s

3) Failure:

test_multi_collapse(TestRakeBacktrace) [C:/Users/usa/ruby/test/rake/test_rake_backtrace.rb:43]:

--- expected

+++ actual

@@ -1+1 @@

-"rake aborted!"

+"C:/Users/usa/develop/win/ruby/build/ruby.exe: No such file or directory -- C:/Users/usa/develop/win/ruby/build/bin/rake (LoadError)"

[ 395/1240] TestRakeFileTask#test_file_times_new_depend_on_regular_task

4) Error:
test_file_times_new_depend_on_regular_task_timestamps(TestRakeFileTask):
LoadError: cannot load such file -- C:/Users/usa/develop/win/ruby/build/lib/rake/phony.rb
C:/Users/usa/ruby/test/rake/test_rake_file_task.rb:119:in load'
C:/Users/usa/ruby/test/rake/test_rake_file_task.rb:119:inload_phony'
C:/Users/usa/ruby/test/rake/test_rake_file_task.rb:45:in
“test_file_times_new_depend_on_regular_task_timestamps'

[ 397/1240] TestRakeRakeTestLoader#test pattern = 0.02 s

5) Error:

test_pattern(TestRakeRakeTestLoader):

LoadError: cannot load such file -- C:/Users/usa/develop/win/ruby/build/lib/rake/rake_test_loader.rb
C:/Users/usa/ruby/test/rake/test_rake_rake_test loader.rb:13:in load'
C:/Users/usa/ruby/test/rake/test_rake_rake_test_loader.rb:13:intest_pattern'
[ 398/1240] TestRakeReduceCompat#test_no_deprecated_dsl = 0.06 s

6) Failure:

test_no_deprecated_dsl(TestRakeReduceCompat) [C:/Users/usa/ruby/test/rake/test_rake_reduce_compat.rb:31]:
Expected: "\"method\""

Actual: "

[ 399/1240] TestRakeReduceCompat#test_no_classic_namespace = 0.06 s

7) Failure:

test_no_classic_namespace(TestRakeReduceCompat) [C:/Users/usa/ruby/test/rake/test_rake_reduce_compat.rb:59]:
Expected: "present”

Actual: "

[ 420/1240] TestRakeFunctional#test_correct_number_of_tasks_reported =

8) Failure:

test_correct_number_of_tasks_reported(TestRakeFunctional) [C:/Users/usa/ruby/test/rake/test_rake_functional.rb:412]:
Expected: 2

Actual: 0

[ 421/1240] TestRakeFunctional#test_dry run =0.06 s

9) Failure:

test_dry_run(TestRakeFunctional) [C:/Users/usa/ruby/test/rake/test_rake_functional.rb:233]:

Expected /Execute (dry run) default/ to match "C:/Users/usa/develop/win/ruby/build/ruby.exe: No such file or directory --
C:/Users/usa/develop/win/ruby/build/bin/rake (LoadError)\n".

[ 422/1240] TestRakeFunctional#test_file_task_are_not_scoped_by_namespa

10) Failure:

test_file_task_are_not_scoped_by_namespaces(TestRakeFunctional) [C:/Users/usa/ruby/test/rake/test_rake_functional.rb:364]:
Expected /XY2"\"™XYZ2M 5 match ™.

[ 424/1240] TestRakeFunctional#test_dot_rake_files_can_be_loaded with_d

11) Failure:

test_dot_rake_files_can_be_loaded_with_dash_r(TestRakeFunctional) [C:/Users/usa/ruby/test/rake/test_rake_functional.rb:307]:
Expected "C:/Users/usa/develop/win/ruby/build/ruby.exe: No such file or directory -- C:/Users/usa/develop/win/ruby/build/bin/rake
(LoadError)\n" to be empty.

[ 425/1240] TestRakeFunctional#test_can_invoke_task_in_nested_namespace

12) Failure:

test_can_invoke_task_in_nested_namespace(TestRakeFunctional) [C:/Users/usa/ruby/test/rake/test_rake_functional.rb:324]:
Expected /NEST COPY$/ to match ™.

[ 426/1240] TestRakeFunctional#test_implicit_system = 0.12 s

13) Failure:

test_implicit_system(TestRakeFunctional) [C:/Users/usa/ruby/test/rake/test_rake_functional.rb:126]:
Expected /55" to match ™.

[ 428/1240] TestRakeFunctional#test_dash_f with_no_arg_foils_rakefile_|I

14) Failure:

test_dash_f_with_no_arg_foils_rakefile_lookup(TestRakeFunctional) [C:/Users/usa/ruby/test/rake/test_rake_functional.rb:299]:
Expected /"=5T"¥ to match "".

[ 430/1240] TestRakeFunctional#test_rake_namespace_refers_to_toplevel =

15) Failure:

test_rake_namespace_refers_to_toplevel(TestRakeFunctional) [C:/Users/usa/ruby/test/rake/test_rake_functional.rb:356]:
Expected /°°°Y¥™ to match "".

[ 432/1240] TestRakeFunctional#test_no_system = 0.05 s

16) Failure:

test_no_system(TestRakeFunctional) [C:/Users/usa/ruby/test/rake/test_rake_functional.rb:135]:

Expected /°°" know how to build task/ to match "C:/Users/usa/develop/win/ruby/build/ruby.exe: No such file or directory --
C:/Users/usa/develop/win/ruby/build/bin/rake (LoadError)\n".

[ 435/1240] TestRakeFunctional#test_rake_default = 0.05 s

17) Failure:

test_rake_default(TestRakeFunctional) [C:/Users/usa/ruby/test/rake/test_rake_functional.rb:29]:
Expected /°EFAUT to match ™.

[ 436/1240] TestRakeFunctional#test_tasks_can_reference_task_in_same_na
18) Failure:
test_tasks_can_reference_task_in_same_namespace(TestRakeFunctional)
[C:/Users/usa/ruby/test/rake/test_rake_functional.rb:332]:

Expected /NEST COPY$/m to match .

[ 437/1240] TestRakeFunctional#test_nosearch_without_rakefile_finds_sys

19) Failure:

test_nosearch_without_rakefile_finds_system(TestRakeFunctional) [C:/Users/usa/ruby/test/rake/test_rake_functional.rb:152]:
Expected /55" to match ™.

[ 438/1240] TestRakeFunctional#test_ multi_desc = 0.06 s

20) Failure:

test_multi_desc(TestRakeFunctional) [C:/Users/usa/ruby/test/rake/test_rake_functional.rb:62]:
Expected /@€ a *# AV A2 *$/ to match "".

[ 439/1240] TestRakeFunctional#test_nosearch_without_rakefile_and_no_sy

21) Failure:

test_nosearch_without_rakefile_and _no_system_fails(TestRakeFunctional) [C:/Users/usa/ruby/test/rake/test_rake_functional.rb:161]:
Expected /N° Rakefile found/ to match "C:/Users/usa/develop/win/ruby/build/ruby.exe: No such file or directory --
C:/Users/usa/develop/win/ruby/build/bin/rake (LoadError)\n".

[ 440/1240] TestRakeFunctional#test_rbext = 0.06 s

22) Failure:

test_rbext(TestRakeFunctional) [C:/Users/usa/ruby/test/rake/test_rake_functional.rb:92]:
Expected /°“¥ to match ™.

[ 442/1240] TestRakeFunctional#test_inline_verbose_true_should_show_com

23) Failure:

test_inline_verbose_true_should_show_command(TestRakeFunctional) [C:/Users/usa/ruby/test/rake/test_rake_functional.rb:185]:
Expected /C:VUsersVusaVdevelop\/win\/rubyVbuildVruby.exe -e/ to match "C:/Users/usa/develop/win/ruby/build/ruby.exe: No such file
or directory -- C:/Users/usa/develop/win/ruby/build/bin/rake (LoadError)\n".

[ 443/1240] TestRakeFunctional#test_standalone_verbose_true_should_show

24) Failure:

test_standalone_verbose_true_should_show_command(TestRakeFunctional)
[C:/Users/usa/ruby/test/rake/test_rake_functional.rb:217]:

Expected /C:VUsersVusaVdevelop\/win\/rubyVbuildVruby.exe -e/ to match "C:/Users/usa/develop/win/ruby/build/ruby.exe: No such file
or directory -- C:/Users/usa/develop/win/ruby/build/bin/rake (LoadError)\n".

[ 446/1240] TestRakeFunctional#test_nosearch_with_rakefile_uses_local_r

25) Failure:

test_nosearch_with_rakefile_uses_local_rakefile(TestRakeFunctional) [C:/Users/usa/ruby/test/rake/test_rake_functional.rb:143]:
Expected /°5FAUT to match ™.

[ 447/1240] TestRakeFunctional#test_by default_rakelib_files_are_includ

26) Failure:

test_by_default_rakelib_files_are_included(TestRakeFunctional) [C:/Users/usa/ruby/test/rake/test_rake_functional.rb:117]:
Expected /extra:extra/ to match "".

[ 448/1240] TestRakeFunctional#test_inline_verbose_default_should_show_

27) Failure:

test_inline_verbose_default_should_show_command(TestRakeFunctional) [C:/Users/usa/ruby/test/rake/test_rake_functional.rb:177]:
Expected /C:\VUsersVusaVdevelop\/win\/rubyVbuildVruby.exe -e/ to match "C:/Users/usa/develop/win/ruby/build/ruby.exe: No such file
or directory -- C:/Users/usa/develop/win/ruby/build/bin/rake (LoadError)\n".

[ 449/1240] TestRakeFunctional#test_comment_after_desc_is_ignored = 0.0

28) Failure:

test_comment_after_desc_is_ignored(TestRakeFunctional) [C:/Users/usa/ruby/test/rake/test_rake_functional.rb:396]:
Expected /override\ comment\ for\ t3/ to match "".

[ 451/1240] TestRakeFunctional#test_file_task_dependencies_scoped_by_na
29) Failure:
test_file_task_dependencies_scoped by namespaces(TestRakeFunctional)
[C:/Users/usa/ruby/test/rake/test_rake_functional.rb:372]:

Expected /PREPARE\nSCOPEDEP$/m to match -

[ 452/1240] TestRakeFunctional#test_env_available_at task_scope = 0.08
30) Failure:
test_env_available_at_task_scope(TestRakeFunctional) [C:/Users/usa/ruby/test/rake/test_rake_functional.rb:53]:
Expected /MSKSCOPEY {5 match ™.

[ 453/1240] TestRakeFunctional#test_anonymous_tasks_can_be_invoked_indi

31) Failure:

test_anonymous_tasks_can_be_invoked_indirectly(TestRakeFunctional) [C:/Users/usa/ruby/test/rake/test_rake_functional.rb:348]:
Expected /AN°N COPY$/m to match .

[ 454/1240] TestRakeFunctional#test_rules_chaining_to_file_task = 0.06

32) Failure:

test_rules_chaining_to_file_task(TestRakeFunctional) [C:/Users/usa/ruby/test/rake/test_rake_functional.rb:280]:
'play.app’ file should exist

[ 455/1240] TestRakeFunctional#test_block_verbose_true_should_show_comm

33) Failure:

test_block_verbose_true_should_show_command(TestRakeFunctional) [C:/Users/usa/ruby/test/rake/test_rake_functional.rb:209]:
Expected /C:VUsersVusaVdevelopV/winVrubyVbuildVruby.exe -e/ to match "C:/Users/usa/develop/win/ruby/build/ruby.exe: No such file
or directory -- C:/Users/usa/develop/win/ruby/build/bin/rake (LoadError)\n".

[ 456/1240] TestRakeFunctional#test_long_description = 0.06 s

34) Failure:

test_long_description(TestRakeFunctional) [C:/Users/usa/ruby/test/rake/test_rake_functional.rb:73]:
Expected /¥ a\n *A V A2 *$/m to match "".

[ 457/1240] TestRakeFunctional#test_system = 0.06 s

35) Failure:

test_system(TestRakeFunctional) [C:/Users/usa/ruby/test/rake/test_rake_functional.rb:100]:
Expected /55" to match ™.

[ 458/1240] TestRakeFunctional#test_invalid_command_line_options = 0.06

36) Failure:

test_invalid_command_line_options(TestRakeFunctional) [C:/Users/usa/ruby/test/rake/test_rake_functional.rb:169]:
Expected /invalid +option/i to match "C:/Users/usa/develop/win/ruby/build/ruby.exe: No such file or directory --
C:/Users/usa/develop/win/ruby/build/bin/rake (LoadError)\n".

[ 459/1240] TestRakeFunctional#test_imports = 0.06 s

37) Failure:

test_imports(TestRakeFunctional) [C:/Users/usa/ruby/test/rake/test_rake_functional.rb:270]:
'dynamic_deps' file should exist

[ 460/1240] TestRakeFunctional#test_tasks_can_reference_task_in_other_n
38) Failure:
test_tasks_can_reference_task_in_other_namespaces(TestRakeFunctional)
[C:/Users/usa/ruby/test/rake/test_rake_functional.rb:340]:

Expected /™ A\nIN B$/m to match "".

[ 464/1240] TestRakeFunctional#test_rake_error_on_bad_task = 0.05 s

39) Failure:

test_rake_error_on_bad_task(TestRakeFunctional) [C:/Users/usa/ruby/test/rake/test_rake_functional.rb:37]:
Expected /rake aborted/ to match "C:/Users/usa/develop/win/ruby/build/ruby.exe: No such file or directory --
C:/Users/usa/develop/win/ruby/build/bin/rake (LoadError)\n".

[ 465/1240] TestRakeFunctional#test_comment_before_desc_is_ignored = 0.

40) Failure:

test_comment_before_desc_is_ignored(TestRakeFunctional) [C:/Users/usa/ruby/test/rake/test_rake_functional.rb:404]:
Expected /override\ comment\ for\ t4/ to match "".

[ 466/1240] TestRakeFunctional#test_env_available_at_top_scope = 0.05 s

41) Failure:

test_env_available_at_top_scope(TestRakeFunctional) [C:/Users/usa/ruby/test/rake/test_rake_functional.rb:45]:
Expected /TOPSCOPEY {5 match ™.

[ 467/1240] TestRakeFunctional#test_can_invoke_task_in_toplevel_namespa

42) Failure:

test_can_invoke_task_in_toplevel_namespace(TestRakeFunctional) [C:/Users/usa/ruby/test/rake/test_rake_functional.rb:316]:
Expected /°°"¥ to match "".

02/23/2019 46




=end

Related issues:
Related to Ruby trunk - Bug #7366: cannot 'make install' when --enable-doc Closed 11/16/2012

History

#1 - 11/16/2012 10:45 AM - usa (Usaku NAKAMURA)

- Description updated

#2 - 11/16/2012 01:06 PM - drbrain (Eric Hodel)

=begin
How do | build ruby outside of ((|$(srcdir)|))?

| get the following failure:

$ mkdir ~/tmp/build
$ cd ~/tmp/build
$ CC=clang ~/Work/svn/ruby/trunk/configure --with-openssl-dir=/usr/local/Cellar/openssl/1.0.1c/

[.]

$ make
CC = clang
LD =Id

LDSHARED = clang -dynamic -bundle

CFLAGS = -0O3 -ggdb -Wall -Wextra -Wno-unused-parameter -Wno-parentheses -Wno-long-long -Wno-missing-field-initializers -Wunused-variable
-Werror=pointer-arith -Werror=write-strings -Werror=declaration-after-statement -Werror=shorten-64-t0-32 -Werror=implicit-function-declaration -pipe
XCFLAGS = -include ruby/config.h -include ruby/missing.h -D_FORTIFY_SOURCE=2 -fstack-protector -fno-strict-overflow -fvisibility=hidden
-DRUBY_EXPORT -fPIE

CPPFLAGS = -D_XOPEN_SOURCE -D_DARWIN_C_SOURCE -D_DARWIN_UNLIMITED_SELECT -D_REENTRANT -I.
-l.ext/include/x86_64-darwin12.2.0 -I/Users/drbrain/Work/svn/ruby/trunk/include -l/Users/drbrain/Work/svn/ruby/trunk

DLDFLAGS = -WI,-undefined,dynamic_lookup -WI,-multiply_defined,suppress -fstack-protector -WI,-u,_objc_msgSend -WI,-pie

SOLIBS =

compiling /Users/drbrain/Work/svn/ruby/trunk/main.c
compiling /Users/drbrain/Work/svn/ruby/trunk/dmydin.c
compiling /Users/drbrain/Work/svn/ruby/trunk/dmyencoding.c
compiling /Users/drbrain/Work/svn/ruby/trunk/version.c
compiling /Users/drbrain/Work/svn/ruby/trunk/dmyversion.c
compiling /Users/drbrain/Work/svn/ruby/trunk/miniprelude.c
compiling /Users/drbrain/Work/svn/ruby/trunk/array.c
compiling /Users/drbrain/Work/svn/ruby/trunk/bignum.c
compiling /Users/drbrain/Work/svn/ruby/trunk/class.c
compiling /Users/drbrain/Work/svn/ruby/trunk/compar.c
compiling /Users/drbrain/Work/svn/ruby/trunk/complex.c
compiling /Users/drbrain/Work/svn/ruby/trunk/dir.c
compiling /Users/drbrain/Work/svn/ruby/trunk/din_find.c
compiling /Users/drbrain/Work/svn/ruby/trunk/enum.c
compiling /Users/drbrain/Work/svn/ruby/trunk/enumerator.c
compiling /Users/drbrain/Work/svn/ruby/trunk/error.c
compiling /Users/drbrain/Work/svn/ruby/trunk/eval.c
compiling /Users/drbrain/Work/svn/ruby/trunk/load.c
compiling /Users/drbrain/Work/svn/ruby/trunk/proc.c
compiling /Users/drbrain/Work/svn/ruby/trunk/file.c
compiling /Users/drbrain/Work/svn/ruby/trunk/gc.c
compiling /Users/drbrain/Work/svn/ruby/trunk/hash.c
compiling /Users/drbrain/Work/svn/ruby/trunk/inits.c
compiling /Users/drbrain/Work/svn/ruby/trunk/io.c
compiling /Users/drbrain/Work/svn/ruby/trunk/marshal.c
compiling /Users/drbrain/Work/svn/ruby/trunk/math.c
compiling /Users/drbrain/Work/svn/ruby/trunk/node.c
compiling /Users/drbrain/Work/svn/ruby/trunk/numeric.c
compiling /Users/drbrain/Work/svn/ruby/trunk/object.c
compiling /Users/drbrain/Work/svn/ruby/trunk/pack.c
compiling /Users/drbrain/Work/svn/ruby/trunk/parse.c
compiling /Users/drbrain/Work/svn/ruby/trunk/process.c
compiling /Users/drbrain/Work/svn/ruby/trunk/random.c
compiling /Users/drbrain/Work/svn/ruby/trunk/range.c
compiling /Users/drbrain/Work/svn/ruby/trunk/rational.c
compiling /Users/drbrain/Work/svn/ruby/trunk/re.c
compiling /Users/drbrain/Work/svn/ruby/trunk/regcomp.c
compiling /Users/drbrain/Work/svn/ruby/trunk/regenc.c
compiling /Users/drbrain/Work/svn/ruby/trunk/regerror.c
compiling /Users/drbrain/Work/svn/ruby/trunk/regexec.c
compiling /Users/drbrain/Work/svn/ruby/trunk/regparse.c
compiling /Users/drbrain/Work/svn/ruby/trunk/regsyntax.c
compiling /Users/drbrain/Work/svn/ruby/trunk/ruby.c
compiling /Users/drbrain/Work/svn/ruby/trunk/safe.c
compiling /Users/drbrain/Work/svn/ruby/trunk/signal.c
compiling /Users/drbrain/Work/svn/ruby/trunk/sprintf.c
compiling /Users/drbrain/Work/svn/ruby/trunk/st.c

compiling /Users/drbrain/Work/svn/ruby/trunk/strftime.c
compiling /Users/drbrain/Work/svn/ruby/trunk/string.c
compiling /Users/drbrain/Work/svn/ruby/trunk/struct.c
compiling /Users/drbrain/Work/svn/ruby/trunk/time.c
compiling /Users/drbrain/Work/svn/ruby/trunk/transcode.c
compiling /Users/drbrain/Work/svn/ruby/trunk/util.c
compiling /Users/drbrain/Work/svn/ruby/trunk/variable.c
compiling /Users/drbrain/Work/svn/ruby/trunk/compile.c
compiling /Users/drbrain/Work/svn/ruby/trunk/debug.c
compiling /Users/drbrain/Work/svn/ruby/trunk/iseq.c
compiling /Users/drbrain/Work/svn/ruby/trunk/vm.c
compiling /Users/drbrain/Work/svn/ruby/trunk/vm_dump.c
compiling /Users/drbrain/Work/svn/ruby/trunk/vm_backtrace.c
compiling /Users/drbrain/Work/svn/ruby/trunk/vm_trace.c
compiling /Users/drbrain/Work/svn/ruby/trunk/thread.c
compiling /Users/drbrain/Work/svn/ruby/trunk/cont.c
compiling /Users/drbrain/Work/svn/ruby/trunk/enc/ascii.c
compiling /Users/drbrain/Work/svn/ruby/trunk/enc/us_ascii.c
compiling /Users/drbrain/Work/svn/ruby/trunk/enc/unicode.c
compiling /Users/drbrain/Work/svn/ruby/trunk/enc/utf_8.c
compiling /Users/drbrain/Work/svn/ruby/trunk/newline.c
compiling /Users/drbrain/Work/svn/ruby/trunk/missing/setproctitle.c
linking miniruby

clang: error: no such file or directory: 'dmyext.o’

make: *** [miniruby] Error 1

$
Editing uncommon.mk to have (({V = 1})) shows a link command of:

clang -O3 -ggdb -Wall -Wextra -Wno-unused-parameter -Wno-parentheses \
-Wno-long-long -Wno-missing-field-initializers -Wunused-variable \
-Werror=pointer-arith -Werror=write-strings -Werror=declaration-after-statement \
-Werror=shorten-64-to-32 -Werror=implicit-function-declaration -pipe -L.\
-fstack-protector -L/usr/local/lib -fstack-protector -WI,-u,_objc_msgSend -WiI,-pie \
main.o dmydin.o dmyencoding.o dmyversion.o miniprelude.o array.o bignum.o class.o \
compar.o complex.o dir.o din_find.o enum.o enumerator.o error.o eval.o load.o proc.o \
file.o gc.o hash.o inits.o i0.0 marshal.o math.o node.o numeric.o object.o pack.o \
parse.o process.o random.o range.o rational.o re.o regcomp.o regenc.o regerror.o \
regexec.o regparse.o regsyntax.o ruby.o safe.o signal.o sprintf.o st.o strftime.o string.o \
struct.o time.o transcode.o util.o variable.o compile.o debug.o iseg.o vm.o vm_dump.o \
vm_backtrace.o vm_trace.o thread.o cont.o ascii.o us_ascii.o unicode.o utf_8.0 newline.o \
setproctitle.o dmyext.o -Ipthread -Idl -lobjc -0 miniruby

but dmyext.o was not built.
=end

#3 - 11/16/2012 02:11 PM - naruse (Yui NARUSE)

This is fixed on r37670 as a workaround.

Anyway your log looks strange because my OS X Mountain Lion environment works well.

#4 - 12/06/2012 01:42 PM - drbrain (Eric Hodel)

- Status changed from Assigned to Closed

Fixed now. Thank you naruse.

PS: | figured out my build problem. You cannot use the same checkout for building inside and outside $(srcdir)
